This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 169733 - RFE: Renaming machine prevents applications from opening
RFE: Renaming machine prevents applications from opening
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-10-02 09:39 EDT by Thomas Boutell
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 06:54:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Boutell 2005-10-02 09:39:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
system-config-network allows the user to rename the machine. After doing so, it is no longer possible to open new desktop applications such as Terminal. This seems to have something to do with the X Window Server not liking the fact that the hostname has changed.

If the desktop environment can't really cope with an action, there ought to be a message box warning the user that logging in and out will be necessary before applications can be opened successfully.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Desktop -> Settings -> Network
2. Change the hostname of the machine
3. Close Network
4. Try to open a terminal window
5. No love
  

Actual Results:  Unable to open GUI applications until after logging out and in again

Expected Results:  Should be able to open GUI applications. If that's not possible, should be told that the operation requires the user to log out. On OKing that, the desktop should log out.

Additional info:
Comment 1 Christian Iseli 2007-01-19 19:36:19 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.